## muffin 5.8.1

=== debian/changelog ===
muffin (5.8.1-1) experimental; urgency=medium

  * New upstream version 5.8.1
  * Update symbols
  * d/control:
    - build-dep on libgl-dev instead of transitional libgl1-mesa-dev
    - bump reverse deps breaks to 5.8
    - bump c-s-d and cinnamon-desktop build-deps/deps to 5.8

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jul 2023 13:38:06 +0200

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
        debhelper-compat (= 13),
        dh-sequence-gir,
        at-spi2-core <!nocheck>,
        adwaita-icon-theme <!nocheck>,
        cinnamon-desktop-data (>= 5.8),
        dbus <!nocheck>,
        dmz-cursor-theme <!nocheck>,
        gnome-pkg-tools,
        cinnamon-settings-daemon (>= 5.8) <!nocheck>,
        gobject-introspection,
        gtk-doc-tools,
        libcairo2-dev,
        libcanberra-gtk3-dev,
        libdrm-dev [linux-any],
        libegl-dev,
        libegl1-mesa-dev [linux-any],
        libfribidi-dev,
        libgirepository1.0-dev,
        libgl-dev,
        libgles2-mesa-dev | libgles2-dev,
        libglib2.0-dev (>= 2.61.1),
        libcinnamon-desktop-dev (>= 5.8),
        libgraphene-1.0-dev (>= 1.9.3),
        libgtk-3-dev,
        libgudev-1.0-dev [linux-any],
        libice-dev,
        libinput-dev [linux-any],
        libjson-glib-dev,
        libpam0g-dev,
        libpango1.0-dev,
        libpipewire-0.3-dev [linux-any],
        libsm-dev,
        libstartup-notification0-dev,
        libsystemd-dev [linux-any],
        libwacom-dev [linux-any],
        libxau-dev,
        libx11-dev,
        libx11-xcb-dev,
        libxcb-randr0-dev,
        libxcb-res0-dev,
        libxcomposite-dev,
        libxcursor-dev,
        libxdamage-dev,
        libxext-dev,
        libxfixes-dev,
        libxi-dev,
        libxinerama-dev,
        libxkbcommon-dev,
        libxkbcommon-x11-dev,
        libxkbfile-dev,
        libxrandr-dev,
        libxrender-dev,
        libxt-dev,
        meson (>= 0.50),
        pkg-config,
        xauth <!nocheck>,
        xkb-data,
        xserver-xorg-core [linux-any],
        xvfb <!nocheck>,
        zenity
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git -b experimental

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmuffin0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
Breaks: cinnamon (<< 5.8~), cinnamon-common (<< 5.4~)

Package: libmuffin0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon (<< 5.8~), libmuffin-dev (<< 5.4.1-1~)
Replaces: libmuffin-dev (<< 5.4.1-1~)
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Recommends: cinnamon-session (>= 5.4~) | x-session-manager
Suggests: cinnamon-control-center (>= 5.4~), xdg-user-dirs
Replaces: muffin-doc
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.
Breaks: cinnamon (<< 5.8~), cinnamon-core (<< 5.4~)

Package: muffin-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
         libatk1.0-dev,
         libcairo2-dev,
         libcinnamon-desktop-dev (>= 5.8),
         libdrm-dev,
         libegl1-mesa-dev,
         libgdk-pixbuf-2.0-dev,
         libgles2-mesa-dev | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev,
         libjson-glib-dev,
         libmuffin0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Breaks: libmuffin0 (<< 5.4.1-1~)
Replaces: libmuffin0 (<< 5.4.1-1~)
Description: window and compositing manager (development files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the development files.

## muffin 5.8.1+faye

=== debian/changelog ===
muffin (5.8.1+faye) victoria; urgency=medium

  [ Michael Webster ]
  * Escape vendor info for the monitor/layout configuration, don't call meta_monitor_spec_free() on a NULL pointer.
  * Fix build...
  * Disable fractional scaling by default.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:25:00 +0200

muffin (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * meta-gpu-xrandr: Account for the current user text scale factor when calculating the crtc scale based on Xft.dpi.
  * window.c: Allow meta_window_get_xwindow() to be used with introspection.
  * Restore some global signals.
  * window.c: Restore property notify for the tile mode property.
  * place.c: Add missing import.
  * display.c: Make meta_display_get_pointer_window() available to cinnamon again.
  * clutter-text.c: Remove redundant clutter_text_set_buffer call in finalize.
  * window.c: Fix copy/paste error in tile zone detection.
  * github workflow: Add optional ssh session.
  * tiling: Expose tile 'push' actions that are currently used by keybindings.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 16:15:07 +0100

## muffin 5.8.1+victoria

=== debian/changelog ===
muffin (5.8.1+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * Escape vendor info for the monitor/layout configuration, don't call meta_monitor_spec_free() on a NULL pointer.
  * Fix build...
  * Disable fractional scaling by default.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:25:00 +0200

## muffin 6.0.0+virginia

=== debian/changelog ===
muffin (6.0.0+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * Remove deprecated/removed zenity arguments.
  * Update issue templates.
  * bug report: Mention crashes.
  * Update issue template with a link to open and closed issues.
  * meta-monitor.c: Allow 75% scaling once more.
  * Make meta_set_verbose() public.

  [ Rick Calixte ]
  * Fix a meson warning (#674)
  * Fix meson.build deprecations up to 0.56.0 (#675)

  [ Michael Webster ]
  * keybindings: Restore window opacity keybindings.
  * input settings: Allow disabling stylus buttons.

  [ Clement Lefebvre ]
  * Fix some incorrect gsettings schemas

  [ Michael Webster ]
  * build/packaging: Restore Wayland support
  * wayland: Fix desktop background

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:47:31 +0000

muffin (5.8.1) victoria; urgency=medium

  [ Michael Webster ]
  * Escape vendor info for the monitor/layout configuration, don't call meta_monitor_spec_free() on a NULL pointer.
  * Fix build...
  * Disable fractional scaling by default.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:25:00 +0200

## muffin 6.0.1

=== debian/changelog ===
muffin (6.0.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:08:33 +0000

muffin (6.0.1-2build1) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:24:07 +0100

muffin (6.0.1-2) experimental; urgency=medium

  * d/control: add build-dep to dpkg-dev >= 1.22.5

  [ Matthias Klose ]
  * Fix library name in symbols file.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 22 Mar 2024 19:20:33 +0100

muffin (6.0.1-1) experimental; urgency=medium

  * New upstream version 6.0.1
  * d/control:
    - bump deps and reverse deps breaks to 6.0
    - add build-deps and deps for wayland support
    - replace obsolete build-dep pkg-config with pkgconf
  * d/rules: add wayland support to configure parameters
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 15:17:22 +0100

muffin (5.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062963

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:54:02 +0000

muffin (5.8.1-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sun, 04 Feb 2024 07:58:23 +0000

muffin (5.8.1-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Sep 2023 13:36:34 +0200

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends: dpkg-dev (>= 1.22.5),
 adwaita-icon-theme <!nocheck>,
 at-spi2-core <!nocheck>,
 cinnamon-desktop-data (>= 6.0),
 cinnamon-settings-daemon (>= 6.0) <!nocheck>,
 dbus <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 dmz-cursor-theme <!nocheck>,
 gnome-pkg-tools,
 gobject-introspection,
 gtk-doc-tools,
 libcairo2-dev,
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 6.0),
 libdrm-dev [linux-any],
 libegl-dev,
 libegl1-mesa-dev [linux-any],
 libfribidi-dev,
 libgbm-dev (>= 17.3) [linux-any],
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libgl-dev,
 libgles2-mesa-dev | libgles2-dev,
 libglib2.0-dev (>= 2.61.1),
 libgraphene-1.0-dev (>= 1.9.3),
 libgtk-3-dev,
 libgudev-1.0-dev [linux-any],
 libice-dev,
 libinput-dev [linux-any],
 libjson-glib-dev,
 libnvidia-egl-wayland-dev [linux-any],
 libpam0g-dev,
 libpango1.0-dev,
 libpipewire-0.3-dev [linux-any],
 libsm-dev,
 libstartup-notification0-dev,
 libsystemd-dev [linux-any],
 libwacom-dev [linux-any],
 libwayland-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxcb-randr0-dev,
 libxcb-res0-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 libxkbfile-dev,
 libxrandr-dev,
 libxrender-dev,
 libxt-dev,
 meson (>= 0.50),
 pkgconf,
 systemd-dev [linux-any],
 wayland-protocols (>= 1.25) [linux-any],
 xauth <!nocheck>,
 xcvt [linux-any],
 xkb-data,
 xserver-xorg-core [linux-any],
 xvfb <!nocheck>,
 xwayland [linux-any],
 zenity,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git -b experimental

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 libmuffin0t64 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
Breaks: cinnamon (<< 6.0~), cinnamon-common (<< 6.0~)

Package: libmuffin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-meta-muffin-0.0 (= ${binary:Version}),
 libatk1.0-dev,
 libcairo2-dev,
 libcinnamon-desktop-dev (>= 6.0),
 libdrm-dev,
 libegl1-mesa-dev,
 libgdk-pixbuf-2.0-dev,
 libgles2-mesa-dev | libgles2-dev,
 libglib2.0-dev,
 libgraphene-1.0-dev (>= 1.9.3),
 libgtk-3-dev,
 libinput-dev,
 libjson-glib-dev,
 libmuffin0t64 (= ${binary:Version}),
 libpango1.0-dev,
 libudev-dev,
 libwayland-dev,
 libx11-dev,
 libxcomposite-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxrandr-dev,
 ${misc:Depends},
Breaks: libmuffin0 (<< 5.4.1-1~)
Replaces: libmuffin0 (<< 5.4.1-1~)
Description: window and compositing manager (development files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the development files.

Package: libmuffin0t64
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adwaita-icon-theme,
 muffin-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.0~), libmuffin-dev (<< 5.4.1-1~)
Replaces: libmuffin0, libmuffin-dev (<< 5.4.1-1~)
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adwaita-icon-theme,
 muffin-common (>= ${source:Version}),
 zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: x-window-manager
Recommends: cinnamon-session (>= 6.0~) | x-session-manager
Suggests: cinnamon-control-center (>= 6.0~), xdg-user-dirs
Replaces: muffin-doc
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.
Breaks: cinnamon (<< 6.0~), cinnamon-core (<< 5.4~)

Package: muffin-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS = \
	-Dprofiler=false \
	-Dremote_desktop=false

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Degl_device=true\
	-Dwayland=true \
	-Dwayland_eglstream=true \
	-Dnative_backend=true
else
CONFFLAGS += \
	-Dudev=false \
	-Dcore_tests=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dnative_backend=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  TEST_COMMAND += --num-processes $(NUMJOBS)
endif

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips since they either time out or fail too much,
# blocking migration to testing
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
endif
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin

## muffin 6.0.1+faye

=== debian/changelog ===
muffin (6.0.1+faye) virginia; urgency=medium

  [ Michael Webster ]
  * meta-compositor-x11.c: Don't disable fractional scaling when unredirecting a fullscreen window.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:53:02 +0000

muffin (6.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * Remove deprecated/removed zenity arguments.
  * Update issue templates.
  * bug report: Mention crashes.
  * Update issue template with a link to open and closed issues.
  * meta-monitor.c: Allow 75% scaling once more.
  * Make meta_set_verbose() public.

  [ Rick Calixte ]
  * Fix a meson warning (#674)
  * Fix meson.build deprecations up to 0.56.0 (#675)

  [ Michael Webster ]
  * keybindings: Restore window opacity keybindings.
  * input settings: Allow disabling stylus buttons.

  [ Clement Lefebvre ]
  * Fix some incorrect gsettings schemas

  [ Michael Webster ]
  * build/packaging: Restore Wayland support
  * wayland: Fix desktop background

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 13:47:31 +0000

## muffin 6.0.1+virginia

=== debian/changelog ===
muffin (6.0.1+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * meta-compositor-x11.c: Don't disable fractional scaling when unredirecting a fullscreen window.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:53:02 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@
@@ -25,7 +25,8 @@
 	-Dcore_tests=false \
 	-Dlibwacom=false \
 	-Dwayland=false \
-	-Dnative_backend=false
+	-Dnative_backend=false \
+	-Ddefault_driver=gl
 endif
 
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
@@ -92,3 +93,8 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin
+
+override_dh_strip:
+	dh_strip --dbg-package=muffin-dbg
+
+override_dh_dwz:

## muffin 6.0.1+wilma

=== debian/changelog ===
muffin (6.0.1+wilma) virginia; urgency=medium

  [ Michael Webster ]
  * meta-compositor-x11.c: Don't disable fractional scaling when unredirecting a fullscreen window.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:53:02 +0000

## muffin 6.2.0

=== debian/changelog ===
muffin (6.2.0-3) unstable; urgency=medium

  * d/rules: Don't test in alpha hppa powerpc sparc64 x32
  * Merge some improvements for tests from mutter packaging:
    - Remove test num processes configuration
    - Don't let log from flaky tests overwrite log from main tests
    - Disable gvfs when running unit tests
    - Explicitly set a screen size for xvfb-run
    - d/tests/ensure-x11-dir: Explicitly create /tmp/.X11-unix
    Thanks to Mutter package maintainers

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 26 Oct 2024 20:48:22 +0200

muffin (6.2.0-2) unstable; urgency=medium

  * d/rules:
    - enable tests in configure, was disabled by default upstream
    - disable core tests part for now, needs fixes
  * Update symbols
  * d/gbp.conf: change debian-branch and upstream-branch to follow DEP14

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 25 Oct 2024 20:50:47 +0200

muffin (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0 (Closes: #1075297)
  * update symbols
  * d/control: bump deps and reverse deps breaks to 6.2
  * Add d/README.source with a wiki link with details about packaging

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Oct 2024 19:04:42 +0200

muffin (6.0.1-3) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Mar 2024 19:13:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -13,8 +12,8 @@
 Build-Depends: dpkg-dev (>= 1.22.5),
  adwaita-icon-theme <!nocheck>,
  at-spi2-core <!nocheck>,
- cinnamon-desktop-data (>= 6.0),
- cinnamon-settings-daemon (>= 6.0) <!nocheck>,
+ cinnamon-desktop-data (>= 6.2),
+ cinnamon-settings-daemon (>= 6.2) <!nocheck>,
  dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -24,7 +23,7 @@
  gtk-doc-tools,
  libcairo2-dev,
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 6.0),
+ libcinnamon-desktop-dev (>= 6.2),
  libdrm-dev [linux-any],
  libegl-dev,
  libegl1-mesa-dev [linux-any],
@@ -83,7 +82,7 @@
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
-Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git -b experimental
+Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
 
 Package: gir1.2-meta-muffin-0.0
 Section: introspection
@@ -100,7 +99,7 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 6.0~), cinnamon-common (<< 6.0~)
+Breaks: cinnamon (<< 6.2~), cinnamon-common (<< 6.2~)
 
 Package: libmuffin-dev
 Section: libdevel
@@ -110,7 +109,7 @@
  gir1.2-meta-muffin-0.0 (= ${binary:Version}),
  libatk1.0-dev,
  libcairo2-dev,
- libcinnamon-desktop-dev (>= 6.0),
+ libcinnamon-desktop-dev (>= 6.2),
  libdrm-dev,
  libegl1-mesa-dev,
  libgdk-pixbuf-2.0-dev,
@@ -151,7 +150,7 @@
  muffin-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.0~), libmuffin-dev (<< 5.4.1-1~)
+Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.2~), libmuffin-dev (<< 5.4.1-1~)
 Replaces: libmuffin0, libmuffin-dev (<< 5.4.1-1~)
 Description: window and compositing manager (shared library)
  Muffin is a window manager performing compositing as well based on
@@ -169,15 +168,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: x-window-manager
-Recommends: cinnamon-session (>= 6.0~) | x-session-manager
-Suggests: cinnamon-control-center (>= 6.0~), xdg-user-dirs
+Recommends: cinnamon-session (>= 6.2~) | x-session-manager
+Suggests: cinnamon-control-center (>= 6.2~), xdg-user-dirs
 Replaces: muffin-doc
 Description: window and compositing manager
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 6.0~), cinnamon-core (<< 5.4~)
+Breaks: cinnamon (<< 6.2~), cinnamon-core (<< 5.4~)
 
 Package: muffin-common
 Section: misc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS = \
	-Dprofiler=false \
	-Dremote_desktop=false \
	-Dtests=true \
	-Dcore_tests=false

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Degl_device=true\
	-Dwayland=true \
	-Dwayland_eglstream=true \
	-Dnative_backend=true
else
CONFFLAGS += \
	-Dudev=false \
	-Dcore_tests=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dnative_backend=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GIO_USE_VFS=local \
	GIO_USE_VOLUME_MONITOR=unix \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	GVFS_DISABLE_FUSE=1 \
	dbus-run-session -- \
	xvfb-run -s '+iglx -noreset -screen 0 1280x1024x24' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips and other ports since they either
# time out or fail too much, blocking migration to testing or ports
override_dh_auto_test:
	debian/tests/ensure-x11-dir
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
else ifeq (,$(filter mips mips64el mipsel alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
endif
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin

## muffin 6.2.0+faye

=== debian/changelog ===
muffin (6.2.0+faye) wilma; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Forbid compilation if the symbols file is outdated
  * packaging: Update symbols file

  [ Leigh Scott ]
  * Fix compile issue (#683)
  * build: Use Xwayland pkg-config if available (#682)

  [ Michael Webster ]
  * meta-input-settings-x11.c: Don't warn about receiving more values than expected from libinput.

  [ Rick Calixte ]
  * Fix segfault during Alt-Tab when window focus mode is either 'Sloppy' or 'Mouse' (gdb backtrace attached) (#680)

  [ jknockel ]
  * meta-crtc-xrandr.c: use nearest neighbor filter for integer randr scales (#692)
  * meta-monitor-manager-xrandr.c: DeleteMonitor before SetMonitor (#693)

  [ Jeffrey Knockel ]
  * meta-monitor-manager-xrandr.c: fix crtc disabling
  * meta-monitor-manager-xrandr.c: fix screen size
  * meta-monitor-manager-xrandr.c: screen size fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 17:06:29 +0100

muffin (6.0.1) virginia; urgency=medium

  [ Michael Webster ]
  * meta-compositor-x11.c: Don't disable fractional scaling when unredirecting a fullscreen window.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:53:02 +0000

## muffin 6.2.0+wilma

=== debian/changelog ===
muffin (6.2.0+wilma) wilma; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Forbid compilation if the symbols file is outdated
  * packaging: Update symbols file

  [ Leigh Scott ]
  * Fix compile issue (#683)
  * build: Use Xwayland pkg-config if available (#682)

  [ Michael Webster ]
  * meta-input-settings-x11.c: Don't warn about receiving more values than expected from libinput.

  [ Rick Calixte ]
  * Fix segfault during Alt-Tab when window focus mode is either 'Sloppy' or 'Mouse' (gdb backtrace attached) (#680)

  [ jknockel ]
  * meta-crtc-xrandr.c: use nearest neighbor filter for integer randr scales (#692)
  * meta-monitor-manager-xrandr.c: DeleteMonitor before SetMonitor (#693)

  [ Jeffrey Knockel ]
  * meta-monitor-manager-xrandr.c: fix crtc disabling
  * meta-monitor-manager-xrandr.c: fix screen size
  * meta-monitor-manager-xrandr.c: screen size fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 17:06:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS = \
	-Dprofiler=false \
	-Dremote_desktop=false

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Degl_device=true\
	-Dwayland=true \
	-Dwayland_eglstream=true \
	-Dnative_backend=true
else
CONFFLAGS += \
	-Dudev=false \
	-Dcore_tests=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dnative_backend=false \
	-Ddefault_driver=gl
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  TEST_COMMAND += --num-processes $(NUMJOBS)
endif

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips since they either time out or fail too much,
# blocking migration to testing
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
endif
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_strip:
	dh_strip --dbg-package=muffin-dbg

override_dh_dwz:

## muffin 6.4.0+xia

=== debian/changelog ===
muffin (6.4.0+xia) xia; urgency=medium

  [ Michael Webster ]
  * window-x11.c: Handle a special case for sending a ConfigureNotify event.

  [ Leigh Scott ]
  * Change all g_memdup() to g_memdup2() (#699)

  [ Kevin Langman ]
  * Make clutter_offscreen_effect_get_target available to Cjs (#702)

  [ Rick Calixte ]
  * gir: Correct usage of the closure annotation (#704)

  [ AxeldeWater ]
  * Update README.md to mention the fact that Muffin is a fork of Mutter, instead of the default readme from Mutter (#697)

  [ jknockel ]
  * constraints: Allow resize of windows moved above screen (#696)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:49:42 +0000

muffin (6.2.0) wilma; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Forbid compilation if the symbols file is outdated
  * packaging: Update symbols file

  [ Leigh Scott ]
  * Fix compile issue (#683)
  * build: Use Xwayland pkg-config if available (#682)

  [ Michael Webster ]
  * meta-input-settings-x11.c: Don't warn about receiving more values than expected from libinput.

  [ Rick Calixte ]
  * Fix segfault during Alt-Tab when window focus mode is either 'Sloppy' or 'Mouse' (gdb backtrace attached) (#680)

  [ jknockel ]
  * meta-crtc-xrandr.c: use nearest neighbor filter for integer randr scales (#692)
  * meta-monitor-manager-xrandr.c: DeleteMonitor before SetMonitor (#693)

  [ Jeffrey Knockel ]
  * meta-monitor-manager-xrandr.c: fix crtc disabling
  * meta-monitor-manager-xrandr.c: fix screen size
  * meta-monitor-manager-xrandr.c: screen size fixes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Jun 2024 17:06:29 +0100

## muffin 6.4.1

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('profiler',
  type: 'boolean',
  value: false,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('default_driver',
  type: 'combo',
  choices: ['auto', 'gl', 'gl3', 'gles2', 'nop'],
  value: 'auto'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications ressources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)

=== debian/changelog ===
muffin (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1
  * Merge some improvements for tests from mutter packaging:
    - d/rules: Only run the test-suite for architecture-specific builds
  * d/rules: disable tests in configure again, not maintained and not used
    upstream (Closes: #1088720)
  * Update symbols
  * d/control:
    - bump deps and reverse deps breaks to 6.4
    - replace old site in homepage with upstream repository
  * remove symbols of tests
  * Improve d/gbp.conf

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Jan 2025 17:44:19 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Build-Depends: dpkg-dev (>= 1.22.5),
  adwaita-icon-theme <!nocheck>,
  at-spi2-core <!nocheck>,
- cinnamon-desktop-data (>= 6.2),
- cinnamon-settings-daemon (>= 6.2) <!nocheck>,
+ cinnamon-desktop-data (>= 6.4),
+ cinnamon-settings-daemon (>= 6.4) <!nocheck>,
  dbus <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -23,7 +23,7 @@
  gtk-doc-tools,
  libcairo2-dev,
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 6.2),
+ libcinnamon-desktop-dev (>= 6.4),
  libdrm-dev [linux-any],
  libegl-dev,
  libegl1-mesa-dev [linux-any],
@@ -80,7 +80,7 @@
  zenity,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com/
+Homepage: https://github.com/linuxmint/muffin
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
 Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
 
@@ -99,7 +99,7 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 6.2~), cinnamon-common (<< 6.2~)
+Breaks: cinnamon (<< 6.4~), cinnamon-common (<< 6.4~)
 
 Package: libmuffin-dev
 Section: libdevel
@@ -109,7 +109,7 @@
  gir1.2-meta-muffin-0.0 (= ${binary:Version}),
  libatk1.0-dev,
  libcairo2-dev,
- libcinnamon-desktop-dev (>= 6.2),
+ libcinnamon-desktop-dev (>= 6.4),
  libdrm-dev,
  libegl1-mesa-dev,
  libgdk-pixbuf-2.0-dev,
@@ -150,7 +150,7 @@
  muffin-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.2~), libmuffin-dev (<< 5.4.1-1~)
+Breaks: libmuffin0 (<< ${source:Version}), cinnamon (<< 6.4~), libmuffin-dev (<< 5.4.1-1~)
 Replaces: libmuffin0, libmuffin-dev (<< 5.4.1-1~)
 Description: window and compositing manager (shared library)
  Muffin is a window manager performing compositing as well based on
@@ -168,15 +168,15 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: x-window-manager
-Recommends: cinnamon-session (>= 6.2~) | x-session-manager
-Suggests: cinnamon-control-center (>= 6.2~), xdg-user-dirs
+Recommends: cinnamon-session (>= 6.4~) | x-session-manager
+Suggests: cinnamon-control-center (>= 6.4~), xdg-user-dirs
 Replaces: muffin-doc
 Description: window and compositing manager
  Muffin is a window manager performing compositing as well based on
  GTK+ and Clutter and used in Cinnamon desktop environment.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 6.2~), cinnamon-core (<< 5.4~)
+Breaks: cinnamon (<< 6.4~), cinnamon-core (<< 5.4~)
 
 Package: muffin-common
 Section: misc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS = \
	-Dprofiler=false \
	-Dremote_desktop=false \
	-Dtests=false

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Degl_device=true\
	-Dwayland=true \
	-Dwayland_eglstream=true \
	-Dnative_backend=true
else
CONFFLAGS += \
	-Dudev=false \
	-Dcore_tests=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dnative_backend=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GIO_USE_VFS=local \
	GIO_USE_VOLUME_MONITOR=unix \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	GVFS_DISABLE_FUSE=1 \
	dbus-run-session -- \
	xvfb-run -s '+iglx -noreset -screen 0 1280x1024x24' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips and other ports since they either
# time out or fail too much, blocking migration to testing or ports
override_dh_auto_test-arch:
	debian/tests/ensure-x11-dir
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
else ifeq (,$(filter mips mips64el mipsel alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
endif
endif

# Don't re-run the tests if we are only building Architecture: all
override_dh_auto_test-indep:


override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin
